body {
    font-family: 'Rubik', sans-serif;
    font-weight:600;
    text-align: center;
    margin:0;
    pointer-events: none;
    position:absolute;
    width: calc(100%);
    height: calc(100%);
    overflow:hidden;
    background: #f4f4f4 url('images/fabric-videomail-background-whaleBox.jpg') no-repeat;
    background-size:cover;
    background-position: bottom center;
    /* background: #f4f4f4;
       background-color: #f2f5fc;
       background-image:  linear-gradient(30deg, #ffffff 12%, transparent 12.5%, transparent 87%, #ffffff 87.5%, #ffffff), linear-gradient(150deg, #ffffff 12%, transparent 12.5%, transparent 87%, #ffffff 87.5%, #ffffff), linear-gradient(30deg, #ffffff 12%, transparent 12.5%, transparent 87%, #ffffff 87.5%, #ffffff), linear-gradient(150deg, #ffffff 12%, transparent 12.5%, transparent 87%, #ffffff 87.5%, #ffffff), linear-gradient(60deg, #ffffff77 25%, transparent 25.5%, transparent 75%, #ffffff77 75%, #ffffff77), linear-gradient(60deg, #ffffff77 25%, transparent 25.5%, transparent 75%, #ffffff77 75%, #ffffff77);
       background-size: 24px 42px;
       background-position: 0 0, 0 0, 12px 21px, 12px 21px, 0 0, 12px 21px; */
}

a {
    text-decoration:none;
    color:inherit;
}

input:focus,
input:focus-visible {
    outline:none;
}

.holder {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    padding: 20px;
    background-image: url('images/fabric-videomail-background-whaleBox.jpg');
    background-size: cover;
    background-position: center 80%;
    background-repeat: no-repeat;
    z-index: -3;
}

.whaleSpan {
    font-weight: 100;
    color: #348890;
}

.boxSpan {
    font-weight: 500;
    color: #348890;
}

#overlay {
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    background:#f4f4f46b;
    z-index: 0;
    pointer-events:all;
}

.courier-fix {
    letter-spacing: -0.5px !important; 
    font-size: 0.9em !important;
}

.userLogdIn {
    display:none;
}

.userLogdOut {
    display:block;
}

#logo {
  position: absolute !important;
  display: flex;
  overflow: hidden;
  margin: 10px 0 0 10px;
  pointer-events: all;
}

#logo img {
    max-width: 126px;
    display: inline-block;
}

#logo p {
    font-family: 'Rubik', sans-serif;
    font-weight: 500;
    align-self: center;
    margin: 0 0 0 6px;
    font-size: 19px;
    letter-spacing: 6px;
    color: #a39a8e;
    text-shadow: -1px -.5px #fff;
    transform: translateY(2px);
}

.frontCap {
    margin-left: 6px;
    font-weight: 300;
    
}

#footNav {
    position: absolute;
    bottom: 10px;
    width: calc(100% - 550px);
    margin-left: 420px;
    pointer-events:all;
}

#footNav p {
    display: inline-block;
    text-align: center;
    font-weight:500;
    width: calc(18% - 2px);
}

#footNav p a {
    text-decoration:none;
    color:#829598;
}

#alertDiv {
    display:none;
    width: 300px;
    height: 100px;
    position: absolute;
    background: #549099;
    top: 23px;
    right: 30px;
    box-shadow: 18px 13px 5px -3px #2d2d2d4d;
    pointer-events: all;
    border-radius: 5px;
    color:#fff;
}   

.subFoot {
    position: absolute;
    bottom: 68px;
    width: calc(100% - 550px);
    margin-left: 420px;
}

.subMenu {
    width: 230px;
    background: #ffffffe5;
    margin: 0 auto;
    padding: 7px 3px;
    box-sizing: border-box;
    border-radius: 6px;
    filter: drop-shadow(0px 2px 3px #0000002e);
    opacity:0;
    transition: all .3s ease;
}

#subM-tools.showSub {
    opacity:1;
    pointer-events:all;
}

.subMenu:before {
    content: '';
    position: absolute;
    bottom: -10px; 
    left: 50%;
    transform: translateX(-50%);
    width: 0;
    height: 0;
    border-top: 15px solid white;
    border-left: 15px solid transparent;
    border-right: 15px solid transparent;
    border-bottom: 0;
}

.subMenu p {
    margin:10px;
}

.subMenu a {
    color:#498993;
    font-size:14px;
    text-decoration:none;
    font-weight: 500;
}

.subMenu a:hover {
    color:#00505e;
}

#alertDiv.showAlert {
    display:block;
}

#logoutWelcome {
    position: absolute;
    left:0;
    top: 30%;
    width: 100%;
    text-align: center;
    color: #449ba4;
    font-size: 27px;
    font-weight: bold;
    opacity:1;
    pointer-events: all;
    text-shadow: 0 0 20px rgb(247, 244, 241);
    font-family: 'Rubik', sans-serif;
    transition: all .3s ease;
}

#logoutWelcome.loggedIn {
    opacity:0;
    pointer-events: none;
}

#logoutWelcome h1 {
    margin-bottom: 22px;
}

#logoutWelcome p {
    color: #8a8a8a;
    font-weight:500;
    font-size: 20px;
}

#logoutWelcome .button p {
    cursor:pointer;
    font-size: 21px;
    display: inline-block;
    padding: 5px 13px;
    color: #fff;
    background: #862d2d91;
}

.copyrightMat {
    position: absolute;
    bottom: -2px;
    left: 17px;
    font-size: 14px;
    font-weight: 400;
    color: #596b6c;
    pointer-events:all;
}

.copyrightMat a {
    color: #596b6c;
    text-decoration:none;
    font-weight:600;
}

#container,
#vmAboutMat,
#vmContactMat {
    opacity:0;
    position: relative;
    margin: 75px auto 0;
    background: #ffffffc9;
    max-width: 540px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    border-radius: 8px;
    height:auto;
    max-height: calc(100vh - 150px);
    pointer-events: none;
    transition: .3s ease;
}

#container.slideCont {
    transform:translateX(-180px);
}

#vmAboutMat,
#vmContactMat {
    position: absolute;
    height: 430px;
    top: calc(50% - 290px);
    width: 540px;
    left: calc(50% - 270px);
}

.matHeader {
    font-size: 26px;
    font-weight: 500;
    color: #d79d72;
    margin-top: 40px;
}

.matHeader .whaleSpan,
.matHeader .boxSpan {
    color: #d79d72;
}

.matP {
    padding: 30px;
    font-weight: 300;
    line-height: 26px;
    font-size: 19px;
    text-align: right;
    position: absolute;
    bottom: 1px;
}

#vmContactMat .matP {
    bottom: 100px;
}

.conLinks { 
    margin-top: 260px;
}

.conLinks a {
    background: #dee9e3;
    padding: 4px 7px;
    margin-left: 6px;
    border-radius: 3px;
}

.greenButton {
    margin-top:20px;
}

.greenButton a {
    border: 1px solid #c3d7d4;
    padding: 5px 10px;
    border-radius: 2px;
    background: #7c8f92;
    font-weight: 400;
    color: #fff;
    letter-spacing: .3px;
}

#questSlider {
    position: relative;
    width: 100%;
    height: 300px;
    overflow: hidden;
}

#qSlideInner {
    position: absolute;
    width: 500%;
    height: 100%;
    transition: all 0.4s ease;
}

.hIwSlide {
    position:relative;
    width: calc(20% - 3px);
    background: #fff;
    box-shadow: 3px 2px 11px -10px #829599;
    border-radius: 10px;
    margin-right: 3px;
    padding: 10px 19px;
    box-sizing: border-box;
    height: calc(100% - 4px);
    float: left;
}

.hIwSlide h3 {
    color: #1f7384;
    font-weight:500;
    font-size:18px;
    margin-top: 30px;
}

.hIwSlide p {
    font-size: 14px;
    font-weight: 300;
    text-align: right;
    position: absolute;
    bottom: 20px;
    right: 20px;
    width: calc(100% - 40px);
    line-height: 20px;
}

.mDash {
    display: inline-block;
    width: 9px;
    height: 1px;
    background: #000;
    transform: translateY(-3px);
    margin: 0 1.5px;
}

.hIwNum {
    margin-right: 12px;
    border: 1px solid;
    border-radius: 50%;
    padding: 2px 6px; 
}

.highLight {
    background: #e7ecea;
    padding: 1px 5px;
    margin-right: 2px;
    display: inline-block;
    border: .5px solid #74aeb5;
    font-weight: 400;
    color: #3d4648;
    white-space:nowrap;
}

.questCap {
    font-weight: 400;
    font-size: 15px;
    margin: 20px 8px 20px;
}

.slideImg {
    height: 110px;
    background: url(images/bg5.jpg);
    background-size: cover;
    background-position: center;
}

.controlLayer {
    position: absolute;
    width: 100%;
    height: 300px;
    overflow: hidden;
    top: 70px;
    left: 0;
}

.sliderControl {
    position: absolute;
    top: calc(50% - 87px);
    background: #829599;
    font-size: 51px;
    font-weight: 300;
    padding: 0 15px 3px 12px;
    border-radius: 50%;
    line-height: 48px;
    opacity: 0.6;
    color: #fff;
    left: 10px;
    height: 50px;
    cursor:pointer;
    display:none;
}

.sliderControl p {
    margin: 0;
}

#next {
    display:block;
    left: unset;
    right: 10px;
}

#auth-section {
    padding: 50px 0;
}

#container.loggedIn,
#vmAboutMat.showVmMat,
#vmContactMat.showVmMat {
    opacity:1;
    pointer-events:all;
}

.mailBoxBody #container,
.viewBox #container {
    height: auto;
    max-height: calc(100vh - 100px);
    overflow-y: scroll;
}

#createBox {
    position: relative;
    background: #fff;
    display:block;
    padding: 10px;
    box-sizing: border-box;
    height: 100%;
    border-radius: 8px;
    overflow: hidden;
}

#yourBoxes,
#questionMat {
    background: #fbfafa;
    display:none;
    padding: 10px 20px;
    height:100%;
    min-height:360px;
}

#yourBoxes ul {
    padding-left:0;
}

#sideBtnC,
#sideBtnM,
#sideBtnA {
    display:none;
    position: absolute;
    width: 136px;
    right: 155px;
    background: #fff;
    bottom: -41.5px;
    z-index: 0;
    cursor: pointer;
    font-family: 'Rubik', sans-serif;
    border-bottom-left-radius: 4px;
    border-bottom-right-radius: 4px;
    border-top: .5px solid #e8e8e8;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.15);
}

#sideBtnA {
    right: 300px;
    width: 50px;
    background: #f9f6f6;
}

#sideBtnM {
    right: 10px;
    background: #f9f6f6;
}

#sideBtnC.active,
#sideBtnM.active,
#sideBtnA.active {
    background: #fff;
}

#sideBtnC.inActive,
#sideBtnM.inActive,
#sideBtnA.inActive {
    background: #f9f6f6;
}

#sideBtnC p,
#sideBtnM p,
#sideBtnA p {
    margin: 12px;
    font-weight: 400;
    letter-spacing: .5px;
    color: #174031;
    font-size:14px;
    color:#bbb;
}

#sideBtnC p.btnHighL,
#sideBtnM p.btnHighL,
#sideBtnA p.btnHighL {
    color: #174031;
}

#sideBtnA p span {
    border-radius: 50%;
    border: 1px solid;
    padding: 0 5.5px;
    font-size: 17px;
    transform: translateY(3px);
    display: inline-block;
}

#customizeIt {
    cursor: pointer;
    font-size: 15px;
    color: #a4a4a4;
    border: 1px solid;
    width: 130px;
    margin: 23px auto;
    padding: 6px 0;
}

.customizerOps {
    position:absolute;
    left:100%;
    bottom:0;
    height: 240px;
    width:460px;
    max-width:0px;
    box-shadow: 4px 4px 10px -4px #b5b5b5;
    overflow: hidden;
    transition: all .2s ease-in-out;
    border-bottom-right-radius: 5px;
    border-top-right-radius: 5px;
}

.customizerInner {
    width: 460px;
    height: 240px;
    background:#fff;
    box-sizing: border-box;
    padding: 10px;
}

.customizerOps.showCustOpt {
   max-width:468px;
}

.col1,
.col2 {
    display:inline-block;
    width:148px;
}

.col2 {
    width:calc(100% - 158px);
    vertical-align: top;
    padding-top: 16px;
}

#desc-Cust,
#header-Cust,
#font-Cust,
#color-Cust,
#bg-Cust {
    display:none;
}

#desc-Cust.showIt,
#header-Cust.showIt,
#font-Cust.showIt,
#color-Cust.showIt,
#bg-Cust.showIt {
    display:block;
}

.menuBtns p {
    cursor:pointer;
    margin: 0;
    padding: 9.5px;
    border-bottom: 1px solid #e2e2e2;
    font-size: 14px;
    color: #bfbebe;
}

.menuBtns p:hover {
    background: #f8f8f8;
    color: #9f9a9a;
}

.menuBtns p.selected {
    color: #6c6666;
    background: #f7f7f7;
}

#mailboxDescription {
    width: calc(100% - 20px);
    margin-left: 10px;
    height: 100px;
    border: .5px solid #e1e1e1;
    background: #eeebeb;
}

#mailboxDescription:focus-visible {
    outline:none;
}

.showDes {
    text-align: right;
    display: block;
    margin-top: 19px;
    font-weight: 100;
    font-size: 15px;
}

.leftCol,
.rightCol {
    display:inline-block;
    width:115px;
}

.leftCol {
    font-size: 13px;
    font-weight: 100;
}

.rightCol {
    width: calc(100% - 124px);
    vertical-align: top;
    padding: 0 10px;
    box-sizing: border-box;
}

.innerR {
    background: #f4f4f4;
    padding: 9px;
    transform: translateX(6px);
    border: 1px solid #eaeaea;
    box-shadow: 2px 3px 10px #00000014;
}

.innerR h2 {
    margin-top: 0;
    font-size: 16px;
}

.innerR p {
    font-weight: 100;
    font-size: 14px;
    text-align: left;
    margin-bottom: 0;
}

#headerPreview {
    max-height: 103px;
    max-width: 50%;
    margin-top: 12px;
}

video, audio {
    display: block;
    margin: 10px auto;
    width: 100%;
}

button {
    margin: 10px;
    padding: 10px;
    border: none;
    cursor: pointer;
    background: #548799;
    border-radius: 2px;
    color: #fff;
    font-family: 'Rubik', sans-serif;
    font-weight: 600;
}

button:disabled {
    background: gray;
    cursor: not-allowed;
    opacity: 0.4;
}

#auth-section input,
#mailboxName,
#mailboxPassword,
#submitPassword,
#viewPassword {
    display:block;
    margin: 14px auto;
    height: 35px;
    padding: 4px 10px;
    box-sizing: border-box;
    text-align: center;
    font-family: 'Rubik Mono One', sans-serif;
    font-size: 13px;
    background: #e3eceb;
    border-left: 1.5px solid #b3b9c8;
    border-top: 1.5px solid #b3b9c8;
    font-weight: 700;
    width: 230px;
}

#mailboxName {
    width:190px;
}

#submitPassword,
#viewPassword {
    margin: 4px 0 0 0;
    width: 142px;
    transform: translateX(6px);
    height: 26px;
    margin-bottom: 9px;
    display: block;
    font-family: 'Rubik', sans-serif;
    font-size: 12px;
    color: #5e5e5e;
}

#submitPassword:not(:placeholder-shown),
#viewPassword:not(:placeholder-shown) {
    color:#000;
}

#mailboxName,
#mailboxPassword {
    font-family: 'Rubik', sans-serif;
    display: inline-block;
}

#mailboxPassword {
    margin: 6px auto 0;
    height: 29px;
}

#auth-section input:not(:placeholder-shown) {
    font-family: 'Rubik', sans-serif;
}

#auth-section h2 {
    font-family: 'Rubik', sans-serif;
    margin-bottom: 50px;
}

.clearer {
    width:30px;
    height:.5px;
    background:#000;
    margin: 20px auto;
}

#signup {
    background: #e3b0a5;
    color: #061128;
}

#googleLogin {
    background: #9ec2c0;
    color: #000;
}

#closeAlert {
    margin-top:30px;
    cursor:pointer;
    color:#548799;
}

#closeAlert span {
    padding: 5px 10px;
    background: #fff;
    cursor:pointer;
}

#dashboard {
    position: relative;
    height: auto;
    max-height: calc(100vh - 150px);
    overflow-y: scroll;
    overflow-x: visible;
}

#presetBackgrounds img {
    width: calc(31% - 10px);
    margin: 5px;
    border: 2px solid #fff;
    border-radius: 3px;
    outline: 2px solid #2e405a;
    transition:all .23s ease;
}

#presetBackgrounds img.selected {
    background: #e3b0a5;
    outline: 2px solid #e3b0a5;
    border: 2px solid #e3b0a5;
    width: calc(32% - 10px);
}

#videoPreview {
    width: 90%;
    aspect-ratio: 3/2;
    background: #e2e2e2;
    margin-bottom: 30px;
}

.prevURL {
    display: inline-block;
    margin-left: 10px;
    vertical-align: bottom;
    font-size: 15px;
    max-width: calc(100% - 310px);
}

#urlPreview {
    font-size: 15px;
    font-weight:200;
}

.createRow {
    height: 70px;
    margin-top: 12px;
}

.createRowSpec {
    display: flex;
    flex-direction: row;
    align-items: unset;
    justify-content: center;
    gap: 13px;
    height: auto;
    margin-bottom: 18px;
    padding-top: 11px;
    border: 1px solid #e2e2e2;
    width: 92%;
    margin-left: 4%;
}

.createRow div {
    display: inline-block;
    vertical-align: bottom;
}

.createRow div label {
    font-size: 14px;
    padding-right: 20px;
    border-right: 1px solid;
}

.passRow {
    margin-right: 6px;
}

.passRow p {
    margin-top:0;
    font-size: 14px;
}

.passRow2 {
    display: flex !important;
}

.passRow2 div label {
    border-right: 0px solid;
    font-weight: 380;
}

#checkAvailability {
    margin: 10px 10px 0 22px;
    padding: 8px 14px;
}

#availabilityMessage {
    width: 100%;
    display: inline-block;
    margin-top: 0;
}

.greyColor {
    color:#e2e2e2;
}

#createMailbox {
    margin-top: 0;
}

#messageUpload {
    width:185px;
}

.mainMenu {
    position: absolute !important;
    right: 37px;
    font-size: 0px;
    bottom: 16px;
    cursor: pointer;
    width:50px;
    color: #89a5a8cf;
    z-index: 999999;
    pointer-events: all;
    transition: all .2s ease-in-out;
}
#menu.menuOpened {
    filter: none;
    transform:scale(0.8);
    transform-origin:center right;
    transition:transform .4s linear .6s;
}

.mainMenu.animate {
	animation: bounce .4s ease forwards;
}


@keyframes bounce {
	0% {
		transform:scale(1);
	}
	
	30% {
		transform:scale(1.1);
	}
	
	60% {
		transform:scale(.9);
	}
	
	100% {
		transform:scale(1);
	}
}

#menu .block {
    display: inline-block;
    width: calc(46% - 2px);
    padding-top: 46%;
    background: #819698c4;
    border-radius: 10%;
    margin: 2px;
}

#menuDiv {
  position: absolute !important;
  width: calc(100% - 18px);
  max-width: 330px;
  background: #fff;
  right: -100%;
  bottom: -100%;
  height: calc(100% - 130px);
  box-sizing: border-box;
  box-shadow: -4px 8px #d5e1f0;
  transition: all .28s ease;
  overflow: hidden;
  pointer-events: all;
}

#menuDiv.open {
  right: 0%;
  bottom: 0%;
}

.menuTextHold,
#menu i {
    display:inline-block;
}

.menuIsOpen {
    display:none;
}

.menuTextHold {
    vertical-align: middle;
}

.menuTextHold p {
    font-size: 15px;
    letter-spacing: 1px;
    margin: 3px 0 0 0;
    border-radius: 8px;
    font-weight: 400;
    color: #819597;
}

.menuCircle {
    width: 71px;
    height: 71px;
    background: #fff;
    position: absolute;
    z-index: -1;
    border-radius: 50%;
    margin: -5px 0 0 -9px;
}

.menuGearHold {
    display: inline-block;
    position: relative;
}

#userMailboxes table {
  border-collapse: collapse;
  width: 100%;
  margin-top: 1em;
  font-size: 13px;
  font-weight: 400;
}

#userMailboxes th,
#userMailboxes td {
  border: 1px solid #ddd;
  padding: 8px;
  text-align: left;
}

.finalTD {
    text-align: center;
}

#userMailboxes th {
    background-color: #f2f2f2;
}

#userMailboxes button {
    cursor: pointer;
    padding: 2px 8px;
    margin: 2px 0px;
    font-size: 0.9em;
    background: #dfe9e3;
    color: #404b4d;
}

.tabActions {
    width:60px;
}

.tabCreated {
    width: 80px;
}

.menuWrap {
    padding: 30px 20px;
    text-align: right;
}

.menuWrap p {
    cursor:pointer;
    font-size: 18px;
    font-weight: 300;
    color: #5e8e97;
    border-bottom: .5px solid;
    padding-bottom: 20px;
    margin-top: 13%;
    margin-left: 20%;
}

.menuWrap .noBord {
    border-bottom: none;
}

.hamburger {
    position: fixed;
    top: 15px;
    right: 20px;
    width: 40px;
    height: 40px;
    background: none;
    border: none;
    cursor: pointer;
    z-index: 1000;
    display: none;
    flex-direction: column;
    justify-content: space-between;
    padding: 10px;
    pointer-events: all;
}

.bar {
    display: block;
    width: 30px;
    height: 4px;
    background-color: #2e405a;
    transition: 0.3s;
    border-radius: 22px;
}

.mobMenu {
    position: fixed;
    top: -100%;
    right: 0;
    width: 220px;
    height:auto;
    min-height: calc(100% - 290px);
    background-color: #f2f5fc;
    transition: top 0.3s ease-in-out;
    padding-top: 60px;
    display: flex;
    flex-direction: column;
    align-items: center;
    pointer-events: all;
    box-shadow: 10px 0px 23px #938e8e;
}

.mobMenu ul {
    list-style: none;
    padding: 0;
    width: 100%;
    margin-top: 50px;
    text-align: right;
    padding-right: 51px;
}

.mobMenu ul li {
    margin: 15px 0;
    cursor:pointer;
}

.mobMenu ul li a {
    text-decoration: none;
    color: white;
    font-size: 18px;
    display: block;
    padding: 10px;
    transition: 0.3s;
}

.mobMenu ul li a:hover {
    background-color: rgba(255, 255, 255, 0.2);
}

.mobMenu.open {
    top: 0;
}

.finalMenu {
    margin-top: 80px;
}

.hamburger.open .bar:nth-child(1) {
    transform: translateY(6.5px) rotate(45deg);
}

.hamburger.open .bar:nth-child(2) {
    opacity: 0;
}

.hamburger.open .bar:nth-child(3) {
    transform: translateY(-10px) rotate(-45deg);
}

@media all and (max-width:800px) {
    
    body {
        max-width:100vw;
    }
    
    #logo img {
      max-width: 96px;
    }
    
    .frontCap {
        display: block;
    }
    
    #logo p {
        text-align:left;
        margin-top: 9px;
        font-size: 10px;
        margin-left:12px;
    }
    
    #createBox h2 {
        font-size:18px;
    }
    
    #mailboxName, 
    #mailboxPassword {
        display: block;
        margin-bottom: 0;
        margin-top: 30px;
    }
    
    .prevURL {
        max-width: 100%;
    }
    
    .createRowSpec {
        padding-bottom: 9px;
    }
    
    .createRow div {
        text-align: left;
    }
    
    .createRow div label {
        font-size: 12px;
        padding-right: 0;
    }
    
    .passRow {
        display: block !important;
    }
    
    .passRow p {
        font-size: 12px;
    }
    
    #auth-section h2 { 
        font-size: 21px;
    }
    
    #alertDiv {
        transform: scale(0.85);
    }
    
    #menuToggle.showIt {
        display: flex;
    }
    
    #sideBtnC,
    #sideBtnM,
    .mainMenu {
        display:none !important;
        opacity:0;
        pointer-events:none;
    }
    
    .createRow div {
        display: block !important;
    }
    
    #menuDiv {
        display: none;
    }
}







